Ingest an asset from a URL
Fetch a remote image/video/audio URL into tenant asset storage. Requires scope avatars:write.
Authorization
apiKey AuthorizationBearer <token>
TIC API key as a bearer token: Authorization: Bearer tic_live_... or tic_test_.... Create keys in the dashboard at /platform/dashboard or via POST /api/v1/api-keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/assets/remote" \ -H "Content-Type: application/json" \ -d '{ "kind": "image", "remoteUrl": "http://example.com" }'{ "id": "string", "tenantId": "string", "kind": "image", "status": "pending_upload", "contentType": "string", "sizeBytes": 0, "sha256": "string", "publicUrl": "http://example.com", "createdAt": "string", "updatedAt": "string"}{ "error": "string", "status": 0, "code": "string", "retryable": true, "billingUrl": "string"}{ "error": "string", "status": 0, "code": "string", "retryable": true, "billingUrl": "string"}